let options = {
    message: "",
    // key: "",
};
  


// async function generator_ai_st() {
//   let result = await eel.generator_ai_start()();
//   if (result == true){
//     $("#platform_ai").removeClass('d-none');
//   } else {
//     $('#platform_ai').addClass('d-none');
//   }
//   let key = localStorage.getItem('save_key_api_ai');
//   $('#key_api').val(key)
// }
// generator_ai_st()


// $('#save_key_api').on('click', async function () {
//   let key = $('#key_api').val();
//   localStorage.setItem('save_key_api_ai', key);
//   success('Ключ успешно сохранен!');
// })

$('#generate_text').on('click', async function () {

  options.message = $('#your_text').val();
  // options.key = $('#key_api').val();
  $("#generate_text_info").text('Идет процесс создания текста, ожидайте');  
  $("#generate_text_info").append('<div class="spinner-grow spinner-grow-sm ml-1 mb-1"></div>')
  let json = JSON.stringify(options);
  $('#generate_text').attr('disabled', true)
  result = await eel.gpt_new_text(json)();
  console.log(result)
  $('#new_ai_text').val(result);
  $("#generate_text_info").text('');  
  $('#generate_text').attr('disabled', false)

});

function success(massege){
  const Toast = Swal.mixin({
      toast: true,
      position: 'bottom-end',
      showConfirmButton: false,
      timer: 2000,
      timerProgressBar: true,
  });

  Toast.fire({
      icon: 'success',
      title: massege
  });
}